Package org.wso2.carbon.mediation.initializer.multitenancy

## Class StratosEntrySerialiser

- java.lang.Object
- - org.wso2.carbon.mediation.initializer.multitenancy.StratosEntrySerialiser

- All Implemented Interfaces:
    `org.apache.synapse.config.xml.IEntrySerializer`

      public class StratosEntrySerialiser
      extends Object
      implements org.apache.synapse.config.xml.IEntrySerializer

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static org.apache.axiom.om.OMFactory` | `fac` |
    `protected static org.apache.axiom.om.OMNamespace` | `nullNS` |
    `protected static org.apache.axiom.om.OMNamespace` | `synNS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StratosEntrySerialiser()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.axiom.om.OMElement` | `serializeEntry​(org.apache.synapse.config.Entry entry, org.apache.axiom.om.OMElement parent)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fac

          protected static final org.apache.axiom.om.OMFactory fac

    - #### synNS

          protected static final org.apache.axiom.om.OMNamespace synNS

    - #### nullNS

          protected static final org.apache.axiom.om.OMNamespace nullNS

  - ### Constructor Detail

    - #### StratosEntrySerialiser

          public StratosEntrySerialiser()

  - ### Method Detail

    - #### serializeEntry

          public org.apache.axiom.om.OMElement serializeEntry​(org.apache.synapse.config.Entry entry,
                                                              org.apache.axiom.om.OMElement parent)

      Specified by:
        `serializeEntry` in interface `org.apache.synapse.config.xml.IEntrySerializer`